List views
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"schema": "penumbra.context-slice",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"draft_revision": 123,
"draft_definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"head": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"definition_hash": "<string>",
"resolved_hash": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"created_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"replayed": true
}
]
}Views
List views
List the project’s Views.
List views
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"schema": "penumbra.context-slice",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"draft_revision": 123,
"draft_definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"head": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"definition_hash": "<string>",
"resolved_hash": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"created_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"replayed": true
}
]
}Operation ID:
http.views.slices.list
GET /v1/orgs/{org}/projects/{project}/context/slices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
How many to list, 1 to 100. Defaults to 50.
Pattern:
^\d+$Response
2XX - application/json
Success.
Show child attributes
Show child attributes